org.apache.poi.xwpf.usermodel

## Enum TextAlignment

- java.lang.Object
- - java.lang.Enum<TextAlignment>
  - - org.apache.poi.xwpf.usermodel.TextAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextAlignment>

      public enum TextAlignment
      extends java.lang.Enum<TextAlignment>

  Specifies all types of vertical alignment which are available to be applied to of all text on each line displayed within a paragraph.
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO` Specifies that all text in the parent object shall be aligned automatically when displayed.
    `BASELINE` Specifies that all text in the parent object shall be aligned to the baseline of each character when displayed.
    `BOTTOM` Specifies that all text in the parent object shall be aligned to the bottom of each character when displayed.
    `CENTER` Specifies that all text in the parent object shall be aligned to the center of each character when displayed.
    `TOP` Specifies that all text in the parent object shall be aligned to the top of each character when displayed

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static TextAlignment` | `valueOf(int type)`
    `static TextAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final TextAlignment TOP

      Specifies that all text in the parent object shall be aligned to the top of each character when displayed

    - #### CENTER

          public static final TextAlignment CENTER

      Specifies that all text in the parent object shall be aligned to the center of each character when displayed.

    - #### BASELINE

          public static final TextAlignment BASELINE

      Specifies that all text in the parent object shall be aligned to the baseline of each character when displayed.

    - #### BOTTOM

          public static final TextAlignment BOTTOM

      Specifies that all text in the parent object shall be aligned to the bottom of each character when displayed.

    - #### AUTO

          public static final TextAlignment AUTO

      Specifies that all text in the parent object shall be aligned automatically when displayed.

  - ### Method Detail

    - #### values

          public static TextAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextAlignment c : TextAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static TextAlignment valueOf(int type)

    - #### getValue

          public int getValue()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.